package com.fs.aiSipCall.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.fs.aiSipCall.domain.AiSipCallPhone;
import com.fs.aiSipCall.domain.AiSipCallTask;
import com.fs.aiSipCall.dto.CommonPhoneModel;

import java.util.List;

/**
 * aiSIP外呼任务Service接口
 * 
 * @author fs
 * @date 2026-03-06
 */
public interface IAiSipCallTaskService extends IService<AiSipCallTask>{
    /**
     * 查询aiSIP外呼任务
     * 
     * @param batchId aiSIP外呼任务主键
     * @return aiSIP外呼任务
     */
    AiSipCallTask selectAiSipCallTaskByBatchId(Long batchId);

    /**
     * 查询aiSIP外呼任务列表
     * 
     * @param aiSipCallTask aiSIP外呼任务
     * @return aiSIP外呼任务集合
     */
    List<AiSipCallTask> selectAiSipCallTaskList(AiSipCallTask aiSipCallTask);

    /**
     * 新增aiSIP外呼任务
     * 
     * @param aiSipCallTask aiSIP外呼任务
     * @return 结果
     */
    int insertAiSipCallTask(AiSipCallTask aiSipCallTask);

    /**
     * 修改aiSIP外呼任务
     * 
     * @param aiSipCallTask aiSIP外呼任务
     * @return 结果
     */
    int updateAiSipCallTask(AiSipCallTask aiSipCallTask);

    /**
     * 批量删除aiSIP外呼任务
     * 
     * @param batchIds 需要删除的aiSIP外呼任务主键集合
     * @return 结果
     */
    int deleteAiSipCallTaskByBatchIds(Long[] batchIds);

    /**
     * 删除aiSIP外呼任务信息
     * 
     * @param batchId aiSIP外呼任务主键
     * @return 结果
     */
    int deleteAiSipCallTaskByBatchId(Long batchId);

    int startTask(Long batchId);

    int stopTask(Long batchId);

    int commonImportExcel(Long batchId, List<CommonPhoneModel> phoneList, AiSipCallPhone callPhone);
}
